package cn.hmsoft.weixin.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;
import cn.hmsoft.weixin.constants.WxSeqName;

/**********************************************
 * 微信用户日志表
 * 
 * @author: Zhang XiaoQing
 * @date: 2016-08-12 22:19:23
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "WX_USER_LOG", keyColumn = "LOG_ID", sequenceName = WxSeqName.WxUserLogId)
public class WxUserLog implements Serializable {
	private static final long serialVersionUID = 5932007484253406292L;
	//日志内部编号
	private Integer log_id;
	//日志时间
	private LocalDateTime msg_time;
	//日志类型(事件类型)
	private String msg_type;
	//日志信息
	private String xml_value;
	//微信用户内部编号
	private String open_id;
	//是发送方吗
	private String send_flag;
	private Integer wx_id;

	/****
	 * 日志内部编号
	 */
	public Integer getLog_id() {
		return this.log_id;
	}

	/****
	 * 日志内部编号
	 */
	public void setLog_id(Integer log_id) {
		this.log_id = log_id;
	}

	/****
	 * 日志时间
	 */
	public LocalDateTime getMsg_time() {
		return this.msg_time;
	}

	/****
	 * 日志时间
	 */
	public void setMsg_time(LocalDateTime msg_time) {
		this.msg_time = msg_time;
	}

	/****
	 * 日志类型(事件类型)
	 */
	public String getMsg_type() {
		return this.msg_type;
	}

	/****
	 * 日志类型(事件类型)
	 */
	public void setMsg_type(String msg_type) {
		this.msg_type = msg_type;
	}

	/****
	 * 日志信息
	 */
	public String getXml_value() {
		return this.xml_value;
	}

	/****
	 * 日志信息
	 */
	public void setXml_value(String xml_value) {
		this.xml_value = xml_value;
	}

	/****
	 * 微信用户内部编号
	 */
	public String getOpen_id() {
		return this.open_id;
	}

	/****
	 * 微信用户内部编号
	 */
	public void setOpen_id(String open_id) {
		this.open_id = open_id;
	}

	/****
	 * 是发送方吗
	 */
	public String getSend_flag() {
		return this.send_flag;
	}

	/****
	 * 是发送方吗
	 */
	public void setSend_flag(String send_flag) {
		this.send_flag = send_flag;
	}

	public Integer getWx_id() {
		return this.wx_id;
	}

	public void setWx_id(Integer wx_id) {
		this.wx_id = wx_id;
	}


}